import {
	observer
} from 'mobx-react';
import {
	WeaButtonIcon
} from 'ecCom';

@observer
export default class ButtonIcons extends React.Component {
	constructor(props) {
		super(props);
	}

	render() {
		const {
			buttonIcons
		} = this.props;

		return (
			<div className='buttonIcons'>
				{
					buttonIcons.map(item => {
						return <WeaButtonIcon {...item} />
					})
				}
			</div>
		);
	}
}